### Virtual Method

# Gtk Buildableset_buildable_property

#### Declaration [src]

    void
    set_buildable_property (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      const char* name,
      const GValue* value
    )

#### Description [src]

Sets a property of a buildable object. It is normally not necessary to implement this, `g_object_set_property()` is used by default. `GtkWindow` implements this to delay showing itself (i.e. setting the `GtkWidget:visible` property) until the whole interface is created.

#### Parameters

`builder`

  Type: `GtkBuilder`

  No description available.

  The data is owned by the caller of the function.

`name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `GValue`

  No description available.

  The data is owned by the caller of the function.